#include <stdio.h>
#define N 10

int main(){
	char array[N] = { 'f', 's', 'c', 'k', 'e', 'b', 'e', 'g', 'i', 'q' };
	char copy_of_array[N]; /* variante: copyOfArray */
	int i, j;
	char tmp;

	for(i=0; i<N; i++)
		copy_of_array[i]=array[i];

    for(i=0; i<N; i++) printf("%c", copy_of_array[i]);
	printf("\n");

	for(j=0; j<N; j++){
		int count=0;
		for(i=0; i<N-1-j; i++){
			if (array[i]>array[i+1]){
				tmp=array[i];
				array[i]=array[i+1];
				array[i+1]=tmp;
				count++;
			}
		}
		if (count==0) break;
		for(i=0; i<N; i++) printf("%c", array[i]);
		printf("\n");
	}

	for(i=0; i<N; i++) printf("%c", array[i]);
	printf("\n");

    for(i=0; i<N; i++) printf("%c", copy_of_array[i]);
	printf("\n");

	return 0;
}
